Bug 1298 - internal error
internal error
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.2
Other other
: P3 normal
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 08:46 UTC by Igor A Tarasov
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor A Tarasov 2004-04-27 08:46:00 UTC
glibc-2.3.2-101.4asp 
samba-3.0.2-7.9.2asp 
 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
libsmb/nmblib.c:name_len(1281) 
Apr 14 01:32:33 net smbd[12995]:   PANIC: assert failed at  
libsmb/nmblib.c(1281) 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/util.c:smb_panic(1422) 
Apr 14 01:32:33 net smbd[12995]:   PANIC: assert failed 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/util.c:smb_panic(1430) 
Apr 14 01:32:33 net smbd[12995]:   BACKTRACE: 9 stack frames: 
Apr 14 01:32:33 net smbd[12995]:    #0 smbd(smb_panic+0x110) [0x385b00] 
Apr 14 01:32:33 net smbd[12995]:    #1 smbd(name_len+0x98) [0x2ab878] 
Apr 14 01:32:33 net smbd[12995]:    #2 smbd(reply_special+0x124) [0x23d124] 
Apr 14 01:32:33 net smbd[12995]:    #3 smbd [0x26e99e] 
Apr 14 01:32:33 net smbd[12995]:    #4 smbd(process_smb+0xa4) [0x26ec34] 
Apr 14 01:32:33 net smbd[12995]:    #5 smbd(smbd_process+0x19f) [0x26f9bf] 
Apr 14 01:32:33 net smbd[12995]:    #6 smbd(main+0x4fd) [0x3fc9ad] 
Apr 14 01:32:33 net smbd[12995]:    #7 /lib/tls/libc.so.6 
(__libc_start_main+0xf0) [0x6918a0] 
Apr 14 01:32:33 net smbd[12995]:    #8 smbd [0x213bd2] 
Apr 14 01:32:33 net smbd[12995]: 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/fault.c:fault_report(36) 
Apr 14 01:32:33 net smbd[12995]:    
=============================================================== 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/fault.c:fault_report(37) 
Apr 14 01:32:33 net smbd[12995]:   INTERNAL ERROR: Signal 6 in pid 12995  
(3.0.2-7.9.2asp) 
Apr 14 01:32:33 net smbd[12995]:   Please read the appendix Bugs of the Samba  
HOWTO collection 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/fault.c:fault_report(39) 
Apr 14 01:32:33 net smbd[12995]:    
=============================================================== 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/util.c:smb_panic(1422) 
Apr 14 01:32:33 net smbd[12995]:   PANIC: internal error 
Apr 14 01:32:33 net smbd[12995]: [2004/04/14 01:32:33, 0]  
lib/util.c:smb_panic(1430) 
Apr 14 01:32:33 net smbd[12995]:   BACKTRACE: 13 stack frames: 
Apr 14 01:32:33 net smbd[12995]:    #0 smbd(smb_panic+0x110) [0x385b00] 
Apr 14 01:32:33 net smbd[12995]:    #1 smbd [0x3715f4] 
Apr 14 01:32:33 net smbd[12995]:    #2 /lib/tls/libc.so.6 [0x6a3b88] 
Apr 14 01:32:33 net smbd[12995]:    #3 /lib/tls/libc.so.6(abort+0x1d2)  
[0x6a5472] 
Apr 14 01:32:33 net smbd[12995]:    #4 smbd(smb_panic+0x1c4) [0x385bb4] 
Apr 14 01:32:33 net smbd[12995]:    #5 smbd(name_len+0x98) [0x2ab878] 
Apr 14 01:32:33 net smbd[12995]:    #6 smbd(reply_special+0x124) [0x23d124] 
Apr 14 01:32:33 net smbd[12995]:    #7 smbd [0x26e99e] 
Apr 14 01:32:33 net smbd[12995]:    #8 smbd(process_smb+0xa4) [0x26ec34] 
Apr 14 01:32:33 net smbd[12995]:    #9 smbd(smbd_process+0x19f) [0x26f9bf] 
Apr 14 01:32:33 net smbd[12995]:    #10 smbd(main+0x4fd) [0x3fc9ad] 
Apr 14 01:32:33 net smbd[12995]:    #11 /lib/tls/libc.so.6 
(__libc_start_main+0xf0) [0x6918a0] 
Apr 14 01:32:33 net smbd[12995]:    #12 smbd [0x213bd2]
Comment 1 Gerald (Jerry) Carter 2004-04-28 21:53:50 UTC
Jeremy, 

Can you look at this?  I don't see the logic in the SMB_ASSERT() 
call in nmblibn:name_len().
Comment 2 Gerald (Jerry) Carter 2004-11-11 13:48:53 UTC
should be fixed in 3.0.8
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:27:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.